Ledga
GET /exports/{export}

Read an export's status

Poll it until status is completed, then GET its download_url, or failed, with error_message saying why.

Parameters

NameInTypeDescription
exportrequired path string
uuid

Responses

200The export
{
  "success": true,
  "data": {
    "id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
    "export_type": "transactions",
    "format": "csv",
    "status": "pending",
    "as_of": null,
    "start_date": null,
    "end_date": null,
    "definition": null,
    "row_count": null,
    "file_size": null,
    "error_message": null,
    "download_url": null,
    "created_at": "2026-01-15T10:30:00Z",
    "completed_at": null,
    "failed_at": null
  }
}
401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
404Not this ledger's, or unknown
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl https://ledga.io/api/v1/exports/{export} \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret"

← All endpoints